Bullet Collision Detection & Physics Library: Bullet::btHingeConstraintFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btHingeConstraintFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btHingeConstraintFloatData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
float | m_motorTargetVelocity
float | m_maxMotorImpulse
float | m_lowerLimit
float | m_upperLimit
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor

## Detailed Description

Definition at line 962 of file bullet.h.

## Member Data Documentation

## ◆ m_angularOnly

int Bullet::btHingeConstraintFloatData::m_angularOnly

Definition at line 969 of file bullet.h.

## ◆ m_biasFactor

float Bullet::btHingeConstraintFloatData::m_biasFactor

Definition at line 976 of file bullet.h.

## ◆ m_enableAngularMotor

int Bullet::btHingeConstraintFloatData::m_enableAngularMotor

Definition at line 970 of file bullet.h.

## ◆ m_limitSoftness

float Bullet::btHingeConstraintFloatData::m_limitSoftness

Definition at line 975 of file bullet.h.

## ◆ m_lowerLimit

float Bullet::btHingeConstraintFloatData::m_lowerLimit

Definition at line 973 of file bullet.h.

## ◆ m_maxMotorImpulse

float Bullet::btHingeConstraintFloatData::m_maxMotorImpulse

Definition at line 972 of file bullet.h.

## ◆ m_motorTargetVelocity

float Bullet::btHingeConstraintFloatData::m_motorTargetVelocity

Definition at line 971 of file bullet.h.

## ◆ m_rbAFrame

btTransformFloatData Bullet::btHingeConstraintFloatData::m_rbAFrame

Definition at line 966 of file bullet.h.

## ◆ m_rbBFrame

btTransformFloatData Bullet::btHingeConstraintFloatData::m_rbBFrame

Definition at line 967 of file bullet.h.

## ◆ m_relaxationFactor

float Bullet::btHingeConstraintFloatData::m_relaxationFactor

Definition at line 977 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintData Bullet::btHingeConstraintFloatData::m_typeConstraintData

Definition at line 965 of file bullet.h.

## ◆ m_upperLimit

float Bullet::btHingeConstraintFloatData::m_upperLimit

Definition at line 974 of file bullet.h.

## ◆ m_useReferenceFrameA

int Bullet::btHingeConstraintFloatData::m_useReferenceFrameA

Definition at line 968 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h